OWHTTPD(1)

NAME
owhttpd - Tiny webserver for 1-wire control

SYNOPSIS
owhttpd -p tcp-port

DESCRIPTION

  owhttpd
owhttpd (1) is a small webserver that shows the Dallas/Maxim 1-Wire bus attached to a serial port. The main view shows the devices found, You can then navigate to individual devices, and view/alter their properties.

owhttpd (1) uses the same naming convention as owfs (1) , where the URL corresponds to the filename.

The web server is a modified version of chttpd by Greg Olszewski. It serves no files from the disk, only virtual files from the 1-wire bus. Security should therefore be good. Only the 1-wire bus is at risk.

SPECIFIC OPTIONS

  -p portnum
Sets the tcp port the web server runs on. Access with the URL http://servernameoripaddress:portnum

If no port is specified, an ephemeral port is selected by the operating system. Use zeroconf (Bonjour) to discover the assigned port.

EXAMPLE

owhttpd -p 3001 -d /dev/ttyS0
    Web server runs on tcp port 3001, serial adapter at ttyS0

owhttpd -p 3001 -s littlehost:4304 --error_level=3
    Web server on port 3001, from owserver process on host "littlehost", extensive error messages.

owhttpd -p 3001 -u -u2 -r
    Read-only web server on port 3001, using two usb adapters.

AVAILABILITY
http://www.owfs.org

SEE ALSO

AUTHOR
Paul Alfille (paul.alfille@gmail.com)